# Licenses

This repository preserves unusual (open source) software license choices and extensions of well known licenses. Use at your own risk.

## [GNU Affero General Public License v3.0 only](agpl-3.0-only)

This license only covers the version 3.0 and therefore does not accidentally grant any unwanted permissions in the future that may come with a new version of this license and therefore puts no trust in the Free Software Foundation.

## [GNU Affero General Public License v3.0 only with linking exception](agpl-3.0-only-linking-exception)

Same as [AGPL v3.0 only](agpl-3.0-only) but the license extension allows linking against (A)GPL code (e.g. a library) without the need for redistribution and therefore allows inclusion in projects using usually incompatible licenses while still getting changes back made to the code itself. It also keeps the aspect of the AGPL regarding restrictions on network distribution while not allowing decompilation and reverse engineering on the "combined work" (e.g. in the sense of a compiled binary using that library) like it would be the case with the LGPL.

<br>

You may combine the license header in `LICENSE.txt` with the copy of the original AGPL v3.0 license in one file if preferred.

### Sources

<https://spdx.org/licenses/AGPL-3.0-only.html>

<http://mo.morsi.org/blog/2009/08/13/lesser_affero_gplv3/>

<https://opensource.stackexchange.com/questions/1410/what-is-the-difference-between-gpl-classpath-exception-vs-lgpl>

***

### Disclaimer

I am not a lawyer and this is NOT to be taken as legal advice. I am merely writing down what I learned to the best of my knowledge. I am providing this resource "AS IS", without warranty of any kind. No actions should be taken based on this resource and I take no responsibility for any outcomes which may result from doing so.
